Skip to content

Enrich Contacts

Request

Enrich contacts with PII fields (email, phone) by ID. A maximum of 20 IDs may be enriched per request.

Security
authorization
Bodyapplication/jsonrequired

Enrich Request

fieldsArray of strings, non-emptyrequired

Fields to enrich for each contact.

Items Enum:"email""phone"
Example:
[ "email", "phone" ]
idsArray of strings, [ 1 .. 20 ] itemsrequired

List of contact IDs to enrich. A maximum of 20 IDs may be enriched per request.

Example:
[ "820b11e9bff6183dbefdf3d29c16202f85fe366f7569d0ca0ddfc7e10d372451", "5f09a1f4b151848e12aa9fbfa1884ea0e5b6a35a6bb280ca88049529c6ecfbd4", "37ba3e25df4e4904df7d9794e327012ce66fc6d21ba57d33ebc614719a76edc9" ]
POST
/data-api/v2/contacts/enrich
curl -i -X POST \
  https://api.hginsights.com/data-api/v2/contacts/enrich \
  -H 'Authorization: Bearer <YOUR_API_KEY_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "fields": [
      "email",
      "phone"
    ],
    "ids": [
      "820b11e9bff6183dbefdf3d29c16202f85fe366f7569d0ca0ddfc7e10d372451",
      "5f09a1f4b151848e12aa9fbfa1884ea0e5b6a35a6bb280ca88049529c6ecfbd4",
      "37ba3e25df4e4904df7d9794e327012ce66fc6d21ba57d33ebc614719a76edc9"
    ]
  }'

Responses

Enrich Response

Bodyapplication/json
contactsArray of objectsrequired
Example:
[ { "company_id": "02F00022696877390B077DE05D7918CA", "company_name": "AppNexus", "email": "jane.doe@example.com", "email_status": "Unverified", "first_name": "Jane", "full_name": "Jane Doe", "id": "820b11e9bff6183dbefdf3d29c16202f85fe366f7569d0ca0ddfc7e10d372451", "last_name": "Doe", "linkedin_url": "https://www.linkedin.com/in/jane-doe-820b11e9", "phone": "+15550000000", "status": "enriched" }, { "company_id": "02F00022696877390B077DE05D7918CA", "company_name": "AppNexus", "id": "5f09a1f4b151848e12aa9fbfa1884ea0e5b6a35a6bb280ca88049529c6ecfbd4", "status": "not_found" }, { "company_id": "02F00022696877390B077DE05D7918CA", "company_name": "AppNexus", "id": "37ba3e25df4e4904df7d9794e327012ce66fc6d21ba57d33ebc614719a76edc9", "status": "missing_pii" } ]
Response
{ "contacts": [ {}, {}, {} ] }